"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.s3Loader = exports.adsLoader = exports.defaultLoader = void 0;
const helpers_1 = require("./helpers");
const { Resizer } = require('newsifier-image-url-generator');
const resizer = new Resizer('imgproxy', 'https://r.testifier.nl');
const defaultLoader = ({ src }) => {
    return src;
};
exports.defaultLoader = defaultLoader;
// image loader
const adsLoader = ({ src }) => {
    return `https://via.placeholder.com/728x90?text=${src}`;
};
exports.adsLoader = adsLoader;
let watermark;
//TODO:: move the extension logic to the resizer
function addNextGenExtension(url) {
    let imageUrl = url.split('$watermark:')[0];
    watermark = url.split('$watermark:')[1]?.replace('?', '') || '';
    imageUrl = imageUrl.replace(/\?+$/, '');
    return imageUrl;
}
const s3Loader = ({ src, width, aspectRatio = 1.5 }) => {
    const dpi = (0, helpers_1.isBrowser)() ? window.devicePixelRatio : 1;
    if (src.includes('r.testifier.nl')) {
        return addNextGenExtension(src);
    }
    return addNextGenExtension(resizer.resize(src, {
        ...(width && {
            w: Math.floor(width / dpi),
            h: Math.floor(width / dpi / aspectRatio),
        }),
        watermark: watermark,
    }));
};
exports.s3Loader = s3Loader;
